% Nerreter, Grundlagen der Elektrotechnik
% Kapitel 1, Aufgabe 14
clc;
syms A b z
alpha0=3.90802e-3;
beta0=-0.580195e-6;
R0=1;
DT=20;
R20=R0*(1+alpha0*DT+beta0*DT^2);
DT1=80;
DT2=150;
R1=R0*(1+alpha0*DT1+beta0*DT1^2);
R2=R0*(1+alpha0*DT2+beta0*DT2^2);
DT1=DT1-20;
DT2=DT2-20;
b1=(R1/R20)-1;
b2=(R2/R20)-1;
A=[DT1 DT1^2; DT2 DT2^2];
b=[b1; b2];
z=linsolve(A, b);
alpha=z(1);
beta=z(2);
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Lsung der Aufgabe 1.14');
disp(' ');
disp(['alpha20 = ',sprintf(' %2.4e',alpha),' 1/K']);
disp(['beta20 = ',sprintf(' %2.4e',beta),' 1/K^2']);
