% Nerreter, Grundlagen der Elektrotechnik
% Aufgabe 6.21
clc
syms u t
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Lsung der Aufgabe 6.21');
figure;
plot([0 20], [0 0]); hold on;
f=2000;
w=2*pi*f;
C=1.5e-6;
L=1.5e-3;
ImY=w*C-1/(w*L);
xa=0;
ya=0;
for R=1:1000
    Z=1/(1/R+1i*ImY);
    xn=real(Z);
    yn=imag(Z);
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
grid;
xlabel('R(w)');
ylabel('X(w)');
title('Lsung 6.21');

