% Nerreter, Grundlagen der Elektrotechnik
% Aufgabe 9.15
clc
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Lsung der Aufgabe 9.15');
Ri=10;
R1=1000;
R2=15;
R=Ri+R1+R2;
L=300e-3;
T=20e-3;
w1=2*pi/T;
kmax=101;
for k=1:2:kmax
    Uq(k)=20/(sqrt(2)*pi*k);
    Z2=R2+1i*k*w1*L;
    Z1=R1+Z2;
    Z=Ri+Z1;
    Istr(k)=Uq(k)/Z;
    U1(k)=Z1*Istr(k);
    U2(k)=Z2*Istr(k);
end
I1=abs(Istr(1));
U11=abs(U1(1));
U21=abs(U2(1));
Ieff=0;
U1eff=0;
U2eff=0;
for k=1:2:kmax
    Ieff=Ieff+abs(Istr(k))^2;
    U1eff=U1eff+abs(U1(k))^2;
    U2eff=U2eff+abs(U2(k))^2;
end
Ieff=sqrt(Ieff);
U1eff=sqrt(U1eff);
U2eff=sqrt(U2eff);
ki=sqrt(1-(I1/Ieff)^2);
k1=sqrt(1-(U11/U1eff)^2);
k2=sqrt(1-(U21/U2eff)^2);
disp(['ki = ',sprintf(' %3.4f ',ki)]);
disp(['k1 = ',sprintf(' %3.4f ',k1)]);
disp(['k2 = ',sprintf(' %3.4f ',k2)]);
